package com.persagy.ems.pojo.wz;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.core.annotation.Column;
import com.persagy.core.annotation.Dimension;
import com.persagy.core.annotation.Entity;
import com.persagy.core.annotation.Index;
import com.persagy.core.annotation.Table;
import com.persagy.core.enumeration.Schema;
import com.persagy.core.mvc.pojo.BusinessObject;

@Dimension
@Entity(name = "ApiRequester")
@Table(name = "t_apirequest_total", comment = "访问接口api信息", schema = Schema.EMS, indexes = {
		@Index(columns = { "c_ip", "c_api_name" })})
public class ApiRequester extends BusinessObject {

	private static final long serialVersionUID = 2607036763890821951L;
	@JsonProperty("ip")
	@Column(order = 1, name = "c_ip", length = 100, nullable = false, comment = "ip地址")
	private String ip;
	@JsonProperty("name")
	@Column(order = 2, name = "c_name", length = 100, nullable = true, comment = "名称")
	private String name;
	@JsonProperty("apiName")
	@Column(order = 2, name = "c_api_name", length = 100, nullable = false, comment = "接口名称")
	private String apiName;
	@Column(order = 3, name = "c_api_num", length = 10, nullable = true, comment = "接口请求总次数")
	@JsonProperty("apiNum")
	private Integer apiNum;
	@JsonProperty("remark")
	@Column(order = 4, name = "c_remark", length = 255, nullable = true, comment = "备注信息")
	private String remark;
	@JsonProperty("dataEndTime")
	@Column(order = 5, name = "c_data_end_time", length = 0, nullable = false, comment = "数据统计截止时间")
	private Date dataEndTime;
	@JsonProperty("insertTime")
	@Column(order = 6, name = "c_insert_time", length = 0, nullable = false, comment = "新增时间")
	private Date insertTime;
	@JsonProperty("updateTime")
	@Column(order = 7, name = "c_update_time", length = 0, nullable = false, comment = "更新时间")
	private Date updateTime;
	
	public String getIp() {
		return ip;
	}
	public void setIp(String ip) {
		this.ip = ip;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getApiName() {
		return apiName;
	}
	public void setApiName(String apiName) {
		this.apiName = apiName;
	}
	public Integer getApiNum() {
		return apiNum;
	}
	public void setApiNum(Integer apiNum) {
		this.apiNum = apiNum;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public Date getDataEndTime() {
		return dataEndTime;
	}
	public void setDataEndTime(Date dataEndTime) {
		this.dataEndTime = dataEndTime;
	}
	public Date getInsertTime() {
		return insertTime;
	}
	public void setInsertTime(Date insertTime) {
		this.insertTime = insertTime;
	}
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	
}
